[Overview][Constants][Types][Procedures and functions][Index] | Reference for unit 'dynlibs' (#rtl)

# SafeLoadLibrary

Saves the control word and loads a library

## Declaration

Source position: dynlibs.pas line 30

`function SafeLoadLibrary(`
`const Name: RawByteString`
`):TLibHandle; function SafeLoadLibrary(`
`const Name: UnicodeString`
`):TLibHandle;`

## Description

SafeLoadLibary saves the FPU control word, and calls LoadLibrary with library name Name. After that function has returned, the FPU control word is saved again. (only on Intel i386 CPUS).

## See also

LoadLibrary |  | Load a dynamic library and return a handle to it.